local Grid2StatusResOptions = {}
Grid2Options.plugins["Grid2StatusResOptions"] = Grid2StatusResOptions

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")
local DBL = LibStub:GetLibrary("LibDBLayers-1.0")


function Grid2StatusResOptions.UpgradeDefaults(dblData)
	local versionsSrc = dblData.versionsSrc
	local class = Grid2Options.classKey

	if (versionsSrc.Grid2StatusResOptions < 1) then
		DBL:SetupLayerObject(dblData, "statuses", "account", "resurrection-incoming", {type = "resurrection-incoming", color1 = {r=1,g=0,b=0,a=1}})
		DBL:SetupLayerObject(dblData, "statuses", "account", "resurrected", {type = "resurrected", color1 = {r=0,g=1,b=0,a=1}})
		DBL:SetupLayerObject(dblData, "statuses", "account", "soulstone", {type = "soulstone", color1 = {r=1,g=.5,b=1,a=1}})

		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down", "resurrection-incoming", 111)
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down", "resurrected", 113)
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down", "soulstone", 112)
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down-color", "resurrection-incoming", 111)
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down-color", "resurrected", 113)
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down-color", "soulstone", 112)
		versionsSrc.Grid2StatusResOptions = 1
	end
end

local prev_MakeStatusOptions = Grid2Options.MakeStatusOptions
function Grid2Options:MakeStatusOptions(dblData, reset, ...)
	self:AddOptionHandler("resurrection-incoming", Grid2Options.MakeStatusStandardOptions)
	self:AddOptionHandler("resurrected", Grid2Options.MakeStatusStandardOptions)
	self:AddOptionHandler("soulstone", Grid2Options.MakeStatusStandardOptions)

	prev_MakeStatusOptions(self, dblData, reset, ...)
end
